diff --git a/changelog b/changelog
index 5e060e8..e2e5540 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20091002 tpd src/axiom-website/patches.html 20091002.01.tpd.patch
+20091002 tpd src/interp/i-toplev.lisp cleanup
 20091001 tpd src/axiom-website/patches.html 20091001.04.tpd.patch
 20091001 tpd src/interp/i-util.lisp cleanup
 20091001 tpd src/axiom-website/patches.html 20091001.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 52a4ae6..d894b72 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2079,5 +2079,7 @@ src/interp/match.lisp cleanup<br/>
 src/interp/lisplib.lisp cleanup<br/>
 <a href="patches/20091001.04.tpd.patch">20091001.04.tpd.patch</a>
 src/interp/i-util.lisp cleanup<br/>
+<a href="patches/20091002.01.tpd.patch">20091002.01.tpd.patch</a>
+src/interp/i-toplev.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/i-toplev.lisp.pamphlet b/src/interp/i-toplev.lisp.pamphlet
index e84991d..806f7bf 100644
--- a/src/interp/i-toplev.lisp.pamphlet
+++ b/src/interp/i-toplev.lisp.pamphlet
@@ -96,7 +96,12 @@ from LISP.
 (DEFUN |start| (&REST G166080 &AUX |l|)
   (DSETQ |l| G166080)
   (PROG (|$PrintCompilerMessageIfTrue| |$inLispVM|)
-    (DECLARE (SPECIAL |$PrintCompilerMessageIfTrue| |$inLispVM|))
+    (DECLARE (SPECIAL |$PrintCompilerMessageIfTrue| |$inLispVM| |$superHash|
+                      $OLDLINE $LINELENGTH |$displayStartMsgs|
+                      $CURRENT-DIRECTORY *DEFAULT-PATHNAME-DEFAULTS*
+                      $SPADROOT |$IOindex| |$ruleSetsInitialized|
+                      |$InteractiveFrame| |$interpreterTimedClasses|
+                      |$interpreterTimedNames|))
     (RETURN
       (PROGN
         (SPADLET |$PrintCompilerMessageIfTrue| NIL)
@@ -176,6 +181,7 @@ from LISP.
 
 (DEFUN |readSpadProfileIfThere| ()
   (PROG (|file|)
+  (declare (special /EDITFILE))
     (RETURN
       (PROGN
         (SPADLET |file|
@@ -245,7 +251,9 @@ from LISP.
                       |$instantCoerceCount| |$instantCanCoerceCount|
                       |$instantMmCondCount| |$fortVar| |$minivector|
                       |$minivectorCode| |$minivectorNames| |$domPvar|
-                      |$inRetract|))
+                      |$inRetract| |$instantRecord| |$reportInstantiations|
+                      |$ProcessInteractiveValue| |$defaultFortVar|
+                      |$interpreterTimedNames| |$interpreterTimedClasses|))
     (RETURN
       (PROGN
         (|initializeTimedNames| |$interpreterTimedNames|
@@ -306,7 +314,7 @@ from LISP.
 
 (DEFUN |processInteractive1| (|form| |posnForm|)
   (PROG (|$e| |object|)
-    (DECLARE (SPECIAL |$e|))
+    (DECLARE (SPECIAL |$e| |$ProcessInteractiveValue| |$InteractiveFrame|))
     (RETURN
       (PROGN
         (SPADLET |$e| |$InteractiveFrame|)
@@ -353,7 +361,12 @@ from LISP.
 
 (DEFUN |recordAndPrint| (|x| |md|)
   (PROG (|$outputMode| |x'| |md'| |mode|)
-    (DECLARE (SPECIAL |$outputMode|))
+    (DECLARE (SPECIAL |$outputMode| |$mkTestOutputType| |$runTestFlag| |$e|
+                      |$mkTestFlag| |$HTCompanionWindowID| |$QuietCommand|
+                      |$printStatisticsSummaryIfTrue| |$printTypeIfTrue|
+                      |$printStorageIfTrue| |$printTimeIfTrue| |$Void|
+                      |$algebraOutputStream| |$collectOutput| |$EmptyMode|
+                      |$printVoidIfTrue| |$outputMode| |$printAnyIfTrue|))
     (RETURN
       (PROGN
         (COND
@@ -391,6 +404,7 @@ from LISP.
 ;  printTypeAndTimeNormal(x, m)
 
 (DEFUN |printTypeAndTime| (|x| |m|)
+  (declare (special |$saturn|))
   (COND
     (|$saturn| (|printTypeAndTimeSaturn| |x| |m|))
     ('T (|printTypeAndTimeNormal| |x| |m|))))
@@ -418,6 +432,9 @@ from LISP.
 
 (DEFUN |printTypeAndTimeNormal| (|x| |m|)
   (PROG (|argl| |x'| |m'| |timeString|)
+  (declare (special |$outputLines| |$collectOutput| |$printTypeIfTrue|
+                    |$printTimeIfTrue| |$outputLines|
+                    |$interpreterTimedNames| |$interpreterTimedClasses|))
     (RETURN
       (SEQ (PROGN
              (COND
@@ -505,7 +522,10 @@ from LISP.
 ;    printAsTeX('"}")
 
 (DEFUN |printTypeAndTimeSaturn| (|x| |m|)
+  (declare (ignore |x|))
   (PROG (|timeString| |typeString|)
+  (declare (special |$printTimeIfTrue| |$printTypeIfTrue|
+                    |$interpreterTimedClasses| |$interpreterTimedNames|))
     (RETURN
       (PROGN
         (COND
@@ -537,6 +557,7 @@ from LISP.
 ;printAsTeX(x) == PRINC(x, $texOutputStream)
 
 (DEFUN |printAsTeX| (|x|)
+ (declare (special |$texOutputStream|)) 
  (PRINC |x| |$texOutputStream|)) 
 
 ;sameUnionBranch(uArg, m) ==
@@ -566,6 +587,7 @@ from LISP.
 
 (DEFUN |msgText| (|key| |args|)
   (PROG (|msg|)
+  (declare (special $LINELENGTH $MARGIN))
     (RETURN
       (SEQ (PROGN
              (SPADLET |msg| (|segmentKeyedMsg| (|getKeyedMsg| |key|)))
@@ -594,6 +616,7 @@ from LISP.
 
 (DEFUN |justifyMyType| (|t|)
   (PROG (|len|)
+  (declare (special $LINELENGTH))
     (RETURN
       (PROGN
         (SPADLET |len| (|#| |t|))
@@ -621,6 +644,8 @@ from LISP.
 
 (DEFUN |printStorage| ()
   (PROG (|storeString|)
+  (declare (special |$interpreterTimedClasses| |$collectOutput|
+                    |$interpreterTimedNames|))
     (RETURN
       (COND
         (|$collectOutput| NIL)
@@ -637,6 +662,7 @@ from LISP.
 
 (DEFUN |printStatisticsSummary| ()
   (PROG (|summary|)
+  (declare (special |$collectOutput|))
     (RETURN
       (COND
         (|$collectOutput| NIL)
@@ -656,6 +682,7 @@ from LISP.
 
 (DEFUN |interpretTopLevel| (|x| |posnForm|)
   (PROG (|savedTimerStack| |c|)
+  (declare (special |$timedNameStack|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |savedTimerStack| (COPY |$timedNameStack|))
@@ -713,6 +740,7 @@ from LISP.
 
 (DEFUN |interpret1| (|x| |rootMode| |posnForm|)
   (PROG (|node| |modeSet| |newRootMode| |argVal| |val|)
+  (declare (special |$genValue| |$eval|))
     (RETURN
       (PROGN
         (SPADLET |node| (|mkAtreeWithSrcPos| |x| |posnForm|))
@@ -749,7 +777,9 @@ from LISP.
 ;  object
 
 (DEFUN |interpret2| (|object| |m1| |posnForm|)
+  (declare (ignore  |posnForm|))
   (PROG (|x| |m| |op| |ans|)
+  (declare (special |$EmptyMode| |$ThrowAwayMode|))
     (RETURN
       (COND
         ((BOOT-EQUAL |m1| |$ThrowAwayMode|) |object|)
